<template>
    <div class="stock-search-block">
      <Row class="tool-block">
        <div class="btn-block inline-block">
          <slot name="btn-block"></slot>
        </div>
        <stock-quick-search :fields="fields" :default-field="defaultField" :placeholder="placeholder"
                            @on-search="onSearchAction">
        </stock-quick-search>
      </Row>
      <Row class="data-block">
        <slot></slot>
      </Row>
    </div>
</template>

<script>
  const emits = {
    onSearchEmit(data) {
      this.$emit('on-search', data);
    },
  };

  const actions = {
    onSearchAction(data) {
      this.onSearchEmit(data);
    }
  };

  import StockQuickSearch from './StockQuickSearch'
  export default {
    name: 'StockSearchBlock',
    components: { StockQuickSearch },
    props: {
      fields: { required: true },
      defaultField: { required: true },
      placeholder: { type: String, default: 'keywords...' }
    },
    methods: {
      ...emits,
      ...actions,
    }
  }
</script>

<style lang="scss" scoped>
  .stock-search-block {
    width: 100%;
    height: 100%;
    padding: 10px 15px;
    overflow-y: auto;
    .tool-block {
      min-height: 80px;
      padding: 10px;
      line-height: 60px;
      vertical-align: middle;
      .btn-block {
        float: left;
      }
    }
    .data-block {
      height: calc(100% - 80px);
      padding: 10px;
      border-radius: 4px;
      background: rgba(125, 125, 135, 0.55);
      overflow-y: auto;
    }
  }
</style>
